$history-cell-first: 60px;
$history-cell-last: 20px;
$history-cell-background-th-even: $primaryColor-light;
//$history-cell-background-tr-odd: rgb(53, 65, 91);
//$history-cell-background-tr-even: rgb(47, 66, 96);

$history-table-border: rgb(45, 66, 97);

$history-details-background: rgb(31, 40, 58);
$history-details-background-2: rgb(32, 41, 59);
$history-details-fontSize: .675rem;
$history-details-font-color: rgb(83, 99, 131);
$history-details-background-secondary: $primaryColor-light;

.history {
  padding: 0px 0px $paddingMini 0px;
  &_header {
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    background-color: #252f44;
    padding-left: $paddingDefault;
    padding-right: $paddingDefault;
    padding-top: $paddingMini;
    padding-bottom: $paddingMini;
  }
  &_footer {
    padding-top: $paddingDefault;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    img {
      max-height: 11px;
      margin-top: $marginMini;
    }
    a {
      color: $fontColor-primary;
      text-transform: uppercase;
      text-decoration: none;
      font-size: .675rem;
      padding-bottom: $paddingMini / 4;
      letter-spacing: .9px;
      &:after {
        content: '';
        margin-top: $paddingMini / 4;
        display: block;
        border-bottom: 1px dashed $fontColor-primary;
      }
    }
  }
  .table {
    border-top: 1px dashed $history-table-border;
    padding: 0px $paddingDefault;
    position: relative;
    &_head {

    }
    &_body {
      &-inner {
        &:last-child {
          .table-tr:last-child {
            .table-td {
              min-height: 0px
            }
          }
        }
        .lasWin_color {
          &-winAmount {
            color: #424f69;
          }
          &-myWinAmount {
            color: #424f69;
          }
        }
        &-0 {
          .betNumber {
            color: #2f3d57; //rgb(24, 32, 47);
            box-shadow: none;
            background-color: $playTable-item-background-orange;
            border-color: transparent;
          }
          .lastWin_color {
            &-winAmount {
              color: rgb(61, 229, 246);
            }
          }
        }
        &-1 {
          .betNumber {
            color: rgb(255, 255, 255);
            box-shadow: none;
            background-color: $playTable-item-background-red;
            border-color: transparent;
          }
          .lastWin_color {
            &-myWinAmount {
              color: $playTable-item-background-red;
            }
          }
        }
        &-2 {
          .betNumber {
            color: #2f3d57; //rgb(24, 32, 47);
            box-shadow: none;
            background-color: $playTable-item-background-green;
            border-color: transparent;
          }
          .lastWin_color {
            &-winAmount {
              color: rgb(61, 229, 246);
            }
            &-myWinAmount {
              color: $playTable-item-background-green;
            }
          }
        }
        &-3 {
          .betNumber {
            background-color: rgb(24, 32, 47);
            border-color: rgb(24, 32, 47);
            box-shadow: none;
            &_inner {
              opacity: .2;
            }
          }
        }
        &-4 {
          .betNumber {
            color: #2f3d57; //rgb(24, 32, 47);
            box-shadow: none;
            background-color: $playTable-item-background-owner;
            border-color: transparent;
          }
        }
        &-5 {
          .betNumber {
            color: #2f3d57; //rgb(24, 32, 47);
            box-shadow: none;
            background-color: $playTable-item-background-green;
            border-color: transparent;
          }
          .lastWin_color {
            &-winAmount {
              color: rgb(61, 229, 246);
            }
            &-myWinAmount {
              color: $playTable-item-background-green;
            }
          }
        }
      }
    }
    &-td {
      flex: 1;
      min-height: $paddingMini/4;
      &:first-child {
        .lastWin-item_wrapper {
          border-top-left-radius: $playTable-cell-radius;
          border-bottom-left-radius: $playTable-cell-radius;
          .betNumber {
            font-weight: bold;
          }
        }
      }
      &:last-child {
        .lastWin-item_wrapper {
          border-top-right-radius: $playTable-cell-radius;
          border-bottom-right-radius: $playTable-cell-radius;
        }
      }
      &:first-child {
        max-width: $history-cell-first;
        .lastWin {
          &-item {
            &_wrapper {
              padding: 0px;
            }
          }
        }
      }
      &:last-child {
        max-width: $history-cell-last;
      }
    }
    &-th {
      flex: 1;
      width: calc(100% / 3);
      text-transform: uppercase;
      font-size: .6025rem;
      font-weight: normal;
      padding: $paddingMini $paddingMini/2;
      text-align: center;
      overflow: hidden;
      white-space: pre;
      text-overflow: ellipsis;
      img {
        max-width: calc(100% - 2px);
      }
      &:first-child {
        max-width: $history-cell-first;
        padding: $paddingMini $paddingMini / 4;
      }
      &:last-child {
        max-width: $history-cell-last;
        padding: $paddingMini / 2;
      }
    }
    &-td, &-th {
      &:nth-of-type(even) {
        background-color: $history-cell-background-th-even;
      }
    }
  }
  &_details {
    background-color: $history-details-background;
    font-size: $history-details-fontSize;
    line-height: 1.4;
    padding: 0px $paddingMedium $paddingMedium $paddingDefault;
   /* position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    z-index: 7;*/
    @media screen and (max-width: 768px) {
      //height: calc(100vh);
    }
    &_header {
      background-color: $secondaryColor;
      //font-size: 1.2rem;
      text-transform: uppercase;
      height: 60px;
      & > .container-plain {
        height: inherit;
        position: relative;
      }
      &-close {
        position: absolute;
        right: $paddingMini;
        top: calc(50% - 15px);
      }
      &-back {
        position: absolute;
        left: $paddingMini;
        top: calc(50% - 15px);
      }
    }
    &_body {
      //font-size: .9rem;
    }
    &-arrowWrapper {
      position: relative;
      #arrow-details {
        position: absolute;
        left: 0px;
        top: 0px;
        bottom: 0px;
        right: 0px;
        z-index: 0;
      }
    }
    img {
      max-height: 16px;
      max-width: 20px;
      z-index: 2;
    }
    &-start {
      padding: $paddingDefault;
      .title {
        color: $secondaryColor;
      }
      .hash {
        word-break: break-all;
        color: $history-details-font-color;
      }
    }
    &-info {
      padding: $paddingDefault;
      background-color: $history-details-background-secondary;
      .info-mockup {
        min-width: 24px;
        min-height: 24px;
      }
      &-description {
        padding: 0px $paddingMini;
        text-overflow: ellipsis;
        overflow-x: hidden;
        .title {
          color: #a6a5a5;
        }
      }
      .hash {
        color: rgb(255, 255, 255);
        text-overflow: ellipsis;
        overflow-x: hidden;
      }
      &:first-child {
        padding: $paddingDefault 0px;
      }
      .check-button {
        position: relative;
        z-index: 1;
        .btn {
          background-color: rgb(40, 51, 73);
          padding: $paddingMini/2 + $paddingMini/4;
          text-transform: uppercase;
          border-radius: 4px;
          font-size: .475rem;
          border-width: 1px;
        }
      }
    }
    &-bets {
      &-inner {
        padding: 0 $paddingDefault;
        flex-wrap: wrap;
      }
    }
    &-header {
      padding: $paddingDefault;
    }
    &-footer {
      margin-top: $marginMini / 2;
      background-color: $history-details-background-secondary;
      padding: $paddingMini / 2 $paddingDefault;
    }
    &-collapse {
      padding: $paddingMini 0px;
    }
    .item {
      margin-bottom: $marginMini;
      font-size: $history-details-fontSize;
      min-width: 82px;
      &_default {
        border: 1px solid rgb(106, 112, 126);
        background-color: $secondaryColor;
        color: rgb(255, 255, 255);
      }
      &_loose {
        border-color: transparent;
        background-color: $playTable-item-background-red;
      }
      &_winner {
        border-color: transparent;
        background-color: $playTable-item-background-green;
        color: $primaryColor;
        &-alien {
          border-color: transparent;
          background-color: $playTable-item-background-orange;
          color: $primaryColor;
        }
      }
      &-number {
        width: 24px;
        height: 24px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: $borderRadius-card / 4;
        font-size: .8rem;
        text-transform: uppercase;
      }
      &-amount {
        padding: 0px $paddingMini/2;
        color: rgb(255, 255, 255);
      }
    }
  }
}

.lastWin {
  box-shadow: 0px 0px 10px rgba(17, 25, 38, .15);
  border-radius: 8px;
  position: relative;
  &_number {
    width: $history-cell-first;
    & > .betNumber {
      width: $history-cell-first - 10;
      height: $history-cell-first - 10;
      &.max {
        color: rgb(36, 46, 65);
      }
    }
    .betNumber {
      box-shadow: none;
    }
  }
  &-item {
    text-align: left;
    padding-left: $paddingMini;
    &-center {
      display: flex;
      justify-content: center;
      align-items: center;
      //font-size: 1rem;
      height: 100%;
    }
    &_wrapper {
      height: $history-cell-first - 10;
      padding: $paddingMini 0px;
      background-color: rgba(255, 255, 255, .02);
      /*color: rgb(46, 57, 81);
    color: rgb(59, 71, 98);*/
      &:first-child {

      }
      &:last-child {
        min-width: 20px;
        text-align: center;
      }
    }
    div {
      &:first-child {
      }
      &:last-child {
        font-size: .675rem;
      }
    }
  }
  /*  &_color {
      &-red {
        color: $playTable-item-background-red;
      }
      &-positive {
        color: rgb(61, 229, 246);
      }
      &-success {
        color: $playTable-item-background-green;
      }
      &-other {
        color: $playTable-item-background-orange;
      }
      &-neutral {
        color: #424f69;
      }
    }*/
  &_bet {

  }
  &_amount {

  }
  &_myAmount {
  }
  &_menu {

  }
}
